Last Comment Bug 632161 - add Syrian IDN ccTLD souria (xn--ogbpf8fl) to whitelist
: add Syrian IDN ccTLD souria (xn--ogbpf8fl) to whitelist
Status: RESOLVED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
http://النطاق-العلوي-السوري.سورية
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-07 13:45 PST by Mustafa AL Rifaee
Modified: 2011-06-16 15:22 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x-fixed
.18-fixed
.20-fixed


Attachments
Adds .<Souria> to IDN Whitelist in all.js (1012 bytes, patch)
2011-05-23 11:43 PDT, Jothan Frakes
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Splinter Review

Description Mustafa AL Rifaee 2011-02-07 13:45:35 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13

When we put an Arabic IDN domain name under our new IDN ccTLD (xn--ogbpf8fl)
it is displayed using the A-Label (Latin) representation not the native Arabic
characters. This can be solved locally by modifying the about:config file. We
hope that the Syrian IDN ccTLD (xn--ogbpf8fl) is included as part of the Network
Whitelist. We are using the standard Code Points for the Arabic Language
available at http://www.iana.org/domains/idn-tables/tables/sa_ar_1.0.html
thanks


Reproducible: Always
Comment 1 Jo Hermans 2011-02-08 03:31:48 PST
see bug 607938
Comment 2 Jo Hermans 2011-02-08 03:34:21 PST
Mustafa, do you work for STE ?
Comment 3 Mustafa AL Rifaee 2011-02-08 06:55:10 PST
(In reply to comment #2)
> Mustafa, do you work for STE ?
Hello Mr.Hermans;
I worked in STE previously, but now i am working in National Agency for Network Services (NANS), NANS is a government entity established in 2009 by a legislative law called Digital Signature and Network Service Law (Law  number 4 dated 25/2/ 2009) which has been approved by  the Syrian Parliament as a step toward governmental reform of the Telecom and Internet Sector in Syria. This law assigned to NANS many responsibilities and functions related to data network services such as:
•	To manage the Syrian ccTLDs (including the IDN ccTLD) 
•	To define policies and rules for domains registration.
and we recently get the delegation for (.SY and IDN) from IANA (http://www.iana.org/root-whois/xn--ogbpf8fl.htm)
(http://www.iana.org/root-whois/sy.htm)
 Best Regards
Mustafa
Comment 4 Jo Hermans 2011-02-08 11:39:12 PST
I think Wikipedia needs to be updated, it still mentions STE as the registry :-)
Comment 5 Jothan Frakes 2011-05-23 11:35:47 PDT
Mustafa is the listed technical contact in the IANA database for .<Souria>
http://www.iana.org/domains/root/db/xn--ogbpf8fl.html

With respect to .<Souria>  Being whitelisted, I see no reasons not to.

The registration rules are located here:
http://nans.gov.sy/index.php/services/sy-domain/29-dotsouria

Registration Rules forbid confusingly similar string registration (as best I can tell with the aid of my handy Google Translate)

Mustafa, the reporter, has identified the standard code points are here:
http://www.iana.org/domains/idn-tables/tables/sa_ar_1.0.html

Codepoints are identical to Saudi Arabia's, which are already white-listed

Reccomendation:  Approve addition
Comment 6 Jothan Frakes 2011-05-23 11:37:31 PDT
Creating patch to include this in the whitelist
Comment 7 Jothan Frakes 2011-05-23 11:38:18 PDT
Changing to assigned and assigning it to me
Comment 8 Jothan Frakes 2011-05-23 11:43:36 PDT
Created attachment 534501 [details] [diff] [review]
Adds .<Souria> to IDN Whitelist in all.js

Please see comment thread today.  

I have verified that the reporter is officially from the appropriate and authorized registry, that there are rules in the t&c for the registration of names, and that they use the identical codepoints for a TLD that is currently whitelisted.
Comment 9 Gervase Markham [:gerv] 2011-05-23 12:49:01 PDT
http://hg.mozilla.org/mozilla-central/rev/4b08b4adbc4d

Gerv
Comment 10 Daniel Veditz [:dveditz] 2011-06-01 10:30:36 PDT
Comment on attachment 534501 [details] [diff] [review]
Adds .<Souria> to IDN Whitelist in all.js

Approved for 1.9.2.18 and 1.9.1.20, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 12 Al Billings [:abillings] 2011-06-16 15:22:49 PDT
Verified in source for 1.9.2.18.

Note You need to log in before you can comment on or make changes to this bug.